<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="godau.fynn.dsbdirect">

    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.INTERNET" />

    <application
        android:allowBackup="true"
        android:fullBackupContent="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/Startup">
        <activity
            android:name=".activity.NoticeBoardActivity"
            android:label="@string/notice_board"
            android:theme="@style/AppTheme.NoActionBar">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".activity.MainActivity" />
        </activity>
        <activity
            android:name=".activity.LoginActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"
            android:exported="false"
            android:theme="@style/LoginTheme" />
        <activity
            android:name=".activity.MainActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"
            android:launchMode="singleTop"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".activity.settings.MainSettingsActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"
            android:exported="false"
            android:label="@string/title_activity_settings"
            android:parentActivityName=".activity.MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="godau.fynn.dsbdirect.activity.MainActivity" />
        </activity>
        <activity
            android:name=".activity.settings.StyleSettingsActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"
            android:exported="false"
            android:label="@string/settings_view_styling"
            android:parentActivityName=".activity.settings.MainSettingsActivity" />
        <activity
            android:name=".activity.settings.ShortcodeSettingsActivtiy"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"
            android:exported="false"
            android:label="@string/settings_shortcodes"
            android:parentActivityName=".activity.settings.MainSettingsActivity" />
        <activity
            android:name=".activity.settings.LoginSettingsActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"
            android:exported="false"
            android:label="@string/settings_login_manage"
            android:parentActivityName=".activity.settings.MainSettingsActivity" />

        <service
            android:name=".table.PollingService"
            android:exported="false"
            android:permission="android.permission.BIND_JOB_SERVICE" />
    </application>

</manifest>